%global momorel 19

Summary: GNU's bc (a numeric processing language) and dc (a calculator).
Name: bc
Version: 1.06
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Engineering
URL: http://www.gnu.org/directory/bc.html
Source0: ftp://ftp.gnu.org/pub/gnu/bc/%{name}-%{version}.tar.gz 
NoSource: 0
Patch1: bc-1.06-readline42.patch
Patch2: bc-1.06-s390.patch
Patch3: bc-1.06-info_exp_bessel.patch
Patch4: bc-1.06-flexoption.patch
Patch5: bc-1.06-enable-readline.patch
BuildPrereq: readline-devel >= 5.0
BuildPrereq: autoconf, automake
Prereq: info grep
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
The bc package includes bc and dc.  Bc is an arbitrary precision
numeric processing arithmetic language.  Dc is an interactive
arbitrary precision stack based calculator, which can be used as a
text mode calculator.

Install the bc package if you need its number handling capabilities or
if you would like to use its text mode calculator.

%prep
rm -rf %{buildroot}

%setup -q
%patch1 -p1 -b .rl22
%patch2 -p1 -b .s390
%patch3 -p1 -b .info_exp_bessel
%patch4 -p1 -b .flexoption~
%patch5 -p0 -b .enable_readline~

%build
aclocal
autoheader
automake -a -c -f
autoconf
%configure --with-readline
make

%install
rm -rf %{buildroot}

%makeinstall

# remove
rm -f %{buildroot}%{_datadir}/info/dir

%clean
rm -rf %{buildroot}

%post
# previous versions of bc put an improper entry into %{_infodir}/dir -- remove
# it
if grep 'dc: (bc)' %{_infodir}/dir > /dev/null; then
    grep -v 'The GNU RPN calculator' < %{_infodir}/dir > %{_infodir}/dir.$$
    mv -f %{_infodir}/dir.$$ %{_infodir}/dir
fi

/sbin/install-info %{_infodir}/dc.info.* %{_infodir}/dir --entry="* dc: (dc).                      The GNU RPN calculator."

%preun
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/dc.info.* %{_infodir}/dir --entry="* dc: (dc).                      The GNU RPN calculator."
fi

%files
%defattr(-,root,root)
/usr/bin/dc
/usr/bin/bc
%{_mandir}/man1/*
%{_infodir}/dc.info.*
%{_infodir}/bc.info.*

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.06-19m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.06-18m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.06-17m)
- %%NoSource -> NoSource

* Fri Jul  7 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.06-16m)
- rebuild against readline-5.0

* Wed Mar 30 2005 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (1.06-15m)
- re-enable bc-1.06-enable-readline.patch 
- BuildPrereq: readline -> readline-devel
- use %%NoSource

* Sun Feb 27 2005 YAMAZAKI Makoto <zaki@zakky.org>
- (1.06-14m)
- changed flex arguments from "-I8" to "-I -8"

* Sat Feb 19 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (1.06-13m)
- rebuild against automake
- add patch from FC

* Thu Dec 23 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.06-12m)
- clean up spec file

* Sun Oct 10 2004 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (1.06-11m)
- add bc-1.06-enable-readline.patch to enable readline support

* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (1.06-10m)
- revised spec for enabling rpm 4.2.

* Thu Jul 25 2002 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.06-9m)
  rebuild against readline 4.3

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (1.06-8k)
- /sbin/install-info -> info in PreReq.

* Sat Dec 29 2001 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- change %configure to ./configure, because command, bc -l SEGV whenever (jitterbug 996)
- clean up spec file

* Sat Oct 13 2001 Masaru Sato <masachan@kondara.org>
- add URL tag

* Wed Nov 21 2000 Kenichi Matsubara <m@kondara.org>
- little bit bugfix specfile.

* Sun Nov 19 2000 Takaaki Tabuchi <tab@kondara.org>
- update version 1.06.
- add BuildPrereq: readline

* Wed Oct 25 2000 MATSUDA, Daiki <dyky@df-usa.com>
- modifiled %post and %preun section from .gz to .bz2

* Wed Oct 25 2000 Kencichi Matsubara <m@kondara.org>
- modified %files section.

* Fri May 12 2000 AYUHANA Tomonori <l@kondara.org>
- SPEC fixed ( Distribution, Source, BuildRoot )

* Sun Apr 02 2000 Takaaki Tabuchi <tab@kondara.org>
- merge redhat-6.2 (1.05a-5).

* Mon Feb  7 2000 Bill Nottingham <notting@redhat.com>
- handle compressed manpages

* Mon Nov 8 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Thu Jan 21 1999 Jeff Johnson <jbj@redhat.com>
- use %configure

* Fri Sep 11 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.05a.

* Sun Jun 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Thu Jun 04 1998 Jeff Johnson <jbj@redhat.com>
- updated to 1.05 with build root.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 21 1998 Erik Troan <ewt@redhat.com>
- got upgrades of info entry working (I hope)

* Sun Apr 05 1998 Erik Troan <ewt@redhat.com>
- fixed incorrect info entry

* Wed Oct 15 1997 Donnie Barnes <djb@redhat.com>
- added install-info support

* Thu Sep 11 1997 Donald Barnes <djb@redhat.com>
- upgraded from 1.03 to 1.04

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
